/***************************************
	Auteur : Pierre Aubert
	Mail : pierre.aubert@lapp.in2p3.fr
	Licence : CeCILL-C
****************************************/

#ifndef __PSOCKET_FLAG_H__
#define __PSOCKET_FLAG_H__

namespace PSendFlag{
	///@brief describe the sending flag of the Socket
	enum PSendFlag{
		BLOCK,		//Normal usage of the Socket. Blocking until a message is sent
		NON_BLOCK	//The Socket send does not stop the execution of the program
	};
}

namespace PRecvFlag{
	///@brief describe the recieving flag of the Socket
	enum PRecvFlag{
		BLOCK,		//Normal usage of the Socket. Blocking until a message comes
		NON_BLOCK	//The Socket recv does not stop the execution of the program
	};
}

#endif

